### NAME

Tcl_GetTime - get date and time

### SYNOPSIS

#include <tcl8.4/tcl.h>
Tcl_GetTime( timePtr )

### ARGUMENTS

Tcl_Time * timePtr (out)
  Points to memory in which to store the date and time information.

### DESCRIPTION

The Tcl_GetTime function retrieves the current time as a Tcl_Time structure in memory the caller provides. This structure has the following definition:

    typedef struct Tcl_Time {
        long sec;
        long usec;
    } Tcl_Time;

On return, the sec member of the structure is filled in with the number of seconds that have elapsed since the epoch: the epoch is the point in time of 00:00 UTC, 1 January 1970. This number does not count leap seconds - an interval of one day advances it by 86400 seconds regardless of whether a leap second has been inserted.

The usec member of the structure is filled in with the number of microseconds that have elapsed since the start of the second designated by sec. The Tcl library makes every effort to keep this number as precise as possible, subject to the limitations of the computer system. On multiprocessor variants of Windows, this number may be limited to the 10- or 20-ms granularity of the system clock. (On single-processor Windows systems, the usec field is derived from a performance counter and is highly precise.)

### SEE ALSO

clock

### KEYWORDS

date, time

    Copyright © 2001 by Kevin B. Kenny.
    Copyright © 1995-1997 Roger E. Critchlow Jr.